/*global $,owl,smoothScroll,AOS,alert*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });


    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });



    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 20
    });
    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('[data-fancybox]').fancybox();

    $(".blog-slider").owlCarousel({
        nav: true,
        loop: true,
        navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: false,
        autoplay: 4000,
        items: 3,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 3
            }
        }
    });

    $(".gallery-slider").owlCarousel({
        nav: true,
        loop: true,
        navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: false,
        autoplay: 4000,
        items: 4.3,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 4.3
            }
        }
    });

    $(".about-single .flats-slider").owlCarousel({
        nav: false,
        loop: true,
        navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: true,
        autoplay: 4000,
        items: 5,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 3
            },
            1400: {
                items: 5
            }
        }
    });

    $(".flats-slider").owlCarousel({
        nav: false,
        loop: true,
        navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: true,
        autoplay: 4000,
        items: 5.2,
        autoplayHoverPause: true,
        center: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 4.2
            },
            1400: {
                items: 5.2
            }
        }
    });

    $(".h-slider").owlCarousel({
        nav: true,
        loop: true,
        navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: false,
        center: true,
        autoplay: 4000,
        //        animateIn: 'fadeIn',
        //        animateOut: 'fadeOut',
        items: 1.3,
        responsiveClass: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 1
            },
            1000: {
                items: 1.2
            },
            1400: {
                items: 1.3
            }
        }
    });

    $(".ab-slider").owlCarousel({
        nav: true,
        loop: true,
        navText: ["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: false,
        autoplay: 4000,
        animateIn: 'fadeIn',
        animateOut: 'fadeOut',
        items: 1
    });

    $('.open-menu').click(function () {
        $('.org').slideToggle();
    });



    $('.org,.open-menu').click(function (e) {
        e.stopPropagation();
    });

    var windowWidth = $(window).width();
    if (windowWidth <= 1024) {
        $('body').click(function () {
            $('.org').slideUp();
        });
    }


    // for upload file
    $(document).on('change', ':file', function () {
        var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });
    $(':file').on('fileselect', function (event, numFiles, label) {

        var input = $(this).parents('.input-group').find(':text'),
            log = numFiles > 1 ? numFiles + ' files selected' : label;

        if (input.length) {
            input.val(log);
        } else {
            if (log) alert(log);
        }
    });

    $('.form-control').focus(function () {
        $(this).parents('.form-group').addClass('focused');
    });

    $('.form-control').blur(function () {
        var inputValue = $(this).val();
        if (inputValue == "") {
            $(this).removeClass('filled');
            $(this).parents('.form-group').removeClass('focused');
        } else {
            $(this).addClass('filled');
        }
    });

    $('.timer').countTo();

    $('.open-menu').click(function () {
        $('.mob-menu').addClass('active');
    });

    $('.cl-menu,.mob-menu a').click(function () {
        $('.mob-menu').removeClass('active');
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 50) {
            $('.serv-sticky').addClass('up');
        } else {
            $('.serv-sticky').removeClass('up');
        }
    });

    $('.order').click(function () {
        $('.ask-form').show();
        $('.cl-sticky').show();
        $('.ask-head').hide();
        $('.serv-sticky').addClass('upup');
    });

    $('.cl-sticky').click(function () {
        $('.ask-form').hide();
        $(this).hide();
        $('.ask-head').show();
        $('.serv-sticky').removeClass('upup');
    });

    AOS.init({
        once: true
    });

    $('.list-view').click(function () {
        $(this).addClass('active');
        $('.grid-view').removeClass('active');
        $('.fl-top').addClass('fl-list-view');
        $('.flats-slider').trigger('destroy.owl.carousel');
        $(".flats-slider").owlCarousel({
            items: 1,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 1
                },
                1000: {
                    items: 1
                },
                1400: {
                    items: 1
                }
            }
        });
        return false;
    });

    $('.grid-view').click(function () {
        $(this).addClass('active');
        $('.list-view').removeClass('active');
        $('.fl-top').removeClass('fl-list-view');
        $('.flats-slider').trigger('destroy.owl.carousel');
        $(".flats-slider").owlCarousel({
            items: 5.2,

            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 2
                },
                1000: {
                    items: 4.2
                },
                1400: {
                    items: 5.2
                }
            }
        });
        return false;
    });

    $('.latest-grid').click(function () {
        $(this).addClass('active');
        $('.latest-list').removeClass('active');
        $('.latest').addClass('latest-grid-view');
        $('.latest .item').addClass('col-md-3').removeClass('col-md-12');
    });

    $('.latest-list').click(function () {
        $(this).addClass('active');
        $('.latest-grid').removeClass('active');
        $('.latest').removeClass('latest-grid-view');
        $('.latest .item').addClass('col-md-12').removeClass('col-md-3');
    });

    $('.terms-sidebar .s-inner a').click(function () {
        $(this).addClass('active').siblings().removeClass('active');
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 520) {
            $('.terms-sidebar, .terms-content').addClass('sticky');
        } else {
            $('.terms-sidebar, .terms-content').removeClass('sticky');
        }
    });

    $(window).scroll(function () {
        if ($(window).scrollTop() + $(window).height() == $(document).height()) {
            $('.terms-sidebar, .terms-content').removeClass('sticky');
        }
    });


    var changeSlide = 4; // mobile -1, desktop + 1
    // Resize and refresh page. slider-two slideBy bug remove
    var slide = changeSlide;
    if ($(window).width() < 600) {
        var slide = changeSlide;
        slide--;
    } else if ($(window).width() > 999) {
        var slide = changeSlide;
        slide++;
    } else {
        var slide = changeSlide;
    }
    $(document).ready(function () {
        $('.one').owlCarousel({
            nav: false,
            items: 1,
            autoplay: false
        })
        $('.two').owlCarousel({
            nav: true,
            margin: 15,
            mouseDrag: false,
            touchDrag: false,
            responsive: {
                0: {
                    items: changeSlide - 1,
                    slideBy: changeSlide - 1
                },
                600: {
                    items: changeSlide,
                    slideBy: changeSlide
                },
                1000: {
                    items: changeSlide + 1,
                    slideBy: changeSlide + 1
                }
            }
        })
        var owl = $('.one');
        owl.owlCarousel();
        owl.on('translated.owl.carousel', function (event) {
            $(".right").removeClass("nonr");
            $(".left").removeClass("nonl");
            if ($('.one .owl-next').is(".disabled")) {
                $(".slider .right").addClass("nonr");
            }
            if ($('.one .owl-prev').is(".disabled")) {
                $(".slider .left").addClass("nonl");
            }
            $('.slider-two .item').removeClass("active");
            var c = $(".slider .owl-item.active").index();
            $('.slider-two .item').eq(c).addClass("active");
            var d = Math.ceil((c + 1) / (slide)) - 1;
            $(".slider-two .owl-dots .owl-dot").eq(d).trigger('click');
        })
        $('.right').click(function () {
            $(".slider .owl-next").trigger('click');
        });
        $('.left').click(function () {
            $(".slider .owl-prev").trigger('click');
        });
        $('.slider-two .item').click(function () {
            var b = $(".item").index(this);
            $(".slider .owl-dots .owl-dot").eq(b).trigger('click');
            $(".slider-two .item").removeClass("active");
            $(this).addClass("active");
        });
        var owl2 = $('.two');
        owl2.owlCarousel();
        owl2.on('translated.owl.carousel', function (event) {
            $(".right-t").removeClass("nonr-t");
            $(".left-t").removeClass("nonl-t");
            if ($('.two .owl-next').is(".disabled")) {
                $(".slider-two .right-t").addClass("nonr-t");
            }
            if ($('.two .owl-prev').is(".disabled")) {
                $(".slider-two .left-t").addClass("nonl-t");
            }
        })
        $('.right-t').click(function () {
            $(".slider-two .owl-next").trigger('click');
        });
        $('.left-t').click(function () {
            $(".slider-two .owl-prev").trigger('click');
        });
    });

    $('.btn-mob').click(function () {
        //        if (confirm("Are you sure you wish to delete?") == true) {
        //            $(this).toggleClass('active');
        //        }

        $(this).addClass('active');
    });

});